/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';


export namespace Components {
  interface AppHome {}
  interface AppRoot {}
  interface TodoList {}
  interface TodoListItem {
    'index': number;
    'item': any;
    'showButtons': boolean;
  }
}

declare global {


  interface HTMLAppHomeElement extends Components.AppHome, HTMLStencilElement {}
  var HTMLAppHomeElement: {
    prototype: HTMLAppHomeElement;
    new (): HTMLAppHomeElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLTodoListElement extends Components.TodoList, HTMLStencilElement {}
  var HTMLTodoListElement: {
    prototype: HTMLTodoListElement;
    new (): HTMLTodoListElement;
  };

  interface HTMLTodoListItemElement extends Components.TodoListItem, HTMLStencilElement {}
  var HTMLTodoListItemElement: {
    prototype: HTMLTodoListItemElement;
    new (): HTMLTodoListItemElement;
  };
  interface HTMLElementTagNameMap {
    'app-home': HTMLAppHomeElement;
    'app-root': HTMLAppRootElement;
    'todo-list': HTMLTodoListElement;
    'todo-list-item': HTMLTodoListItemElement;
  }
}

declare namespace LocalJSX {
  interface AppHome extends JSXBase.HTMLAttributes<HTMLAppHomeElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {}
  interface TodoList extends JSXBase.HTMLAttributes<HTMLTodoListElement> {}
  interface TodoListItem extends JSXBase.HTMLAttributes<HTMLTodoListItemElement> {
    'index'?: number;
    'item'?: any;
    'onTodoDragEvent'?: (event: CustomEvent<any>) => void;
    'onTodoEvent'?: (event: CustomEvent<any>) => void;
    'showButtons'?: boolean;
  }

  interface IntrinsicElements {
    'app-home': AppHome;
    'app-root': AppRoot;
    'todo-list': TodoList;
    'todo-list-item': TodoListItem;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


